org.apache.cassandra.cache

## Class RowCacheKey

- java.lang.Object
- - org.apache.cassandra.cache.CacheKey
  - - org.apache.cassandra.cache.RowCacheKey

All Implemented Interfaces:
  IMeasurableMemory

    public final class RowCacheKey
    extends CacheKey

### Field Summary

Fields
`byte[]` `key`

### Fields inherited from class org.apache.cassandra.cache.CacheKey

`ksAndCFName`

### Constructor Summary

Constructors
Constructor and Description
`RowCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName, byte[] key)`
`RowCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName, java.nio.ByteBuffer key)`
`RowCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName, DecoratedKey key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`
`long` `unsharedHeapSize()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public final byte[] key

### Constructor Detail

#### RowCacheKey

    public RowCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName,
                       byte[] key)

#### RowCacheKey

    public RowCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName,
                       DecoratedKey key)

#### RowCacheKey

    public RowCacheKey(Pair<java.lang.String,java.lang.String> ksAndCFName,
                       java.nio.ByteBuffer key)

### Method Detail

#### unsharedHeapSize

    public long unsharedHeapSize()

Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`